AGB  ·  Datenschutz  ·  Impressum  







Anmelden
Nützliche Links
Registrieren
Zurück Delphi-PRAXiS Sprachen und Entwicklungsumgebungen Sonstige Werkzeuge Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

Ein Thema von floppybe · begonnen am 22. Mär 2014 · letzter Beitrag vom 27. Mär 2014
Antwort Antwort
Seite 1 von 2  1 2   
floppybe

Registriert seit: 24. Dez 2008
Ort: Belp
65 Beiträge
 
Delphi XE5 Architect
 
#1

Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 22. Mär 2014, 17:30
Hallo DP Gemeinde,

ich weis leider nicht wohin mit meiner Frage, so habe ich es hier mal angesiedelt.
Wenn ich falsch liege Bitte ich um Entschuldigung,

Ich habe ein Package Installiert für Import und Export funktionen.
SMExportXE5 und SMImportXE5, ich finde dieses Package noch recht Gut,
da ich meine Datenbank so Exportieren kann, resp. ich kann Daten Importieren.

Nun habe ich ein Problem damit, mir Meldet Delphi die ganze Zeit:

Delphi-Quellcode:
....
[dcc32 Fataler Fehler] E2202 Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden
....
In der Uses sehe ich dann auch noch:

Delphi-Quellcode:
Unit Name SMI2DBF kann nicht aufgelöst werden.
Unit Name SME2DBF kann nicht aufgelöst werden.
Es Existiert ja, und die Import Elemente habe ich auch in Delphi oder auch Export.
Aber ich kann Sie nicht mehr benutzen. Was muss ich machen, Frage ich mich.
Ich bin etwas Ratlos.

Ich habe bereits Delphi Repariert aber das hat nichts gebracht.
Ich habe es in einem Neuen Projekt versucht, aber dort gehts auch nicht also scheint es nicht ein
Fehler von meinem Alten Projekt zu sein.

Ich habe die Komponente gelöscht und wieder entpackt und nochmals Probiert, ich habe Sie an einem anderen
Ort entpackt und Probiert, zzt. steht sie im BIN Verzeichnis mit einem Sub-Dir. Aber auch dort klappt es nicht.

Für Eure Hilfe bin ich Dankbar.

Chris
Christian Schär
  Mit Zitat antworten Zitat
mkinzler
(Moderator)

Registriert seit: 9. Dez 2005
Ort: Heilbronn
39.828 Beiträge
 
Delphi 10.4 Sydney
 
#2

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 22. Mär 2014, 17:36
Befinden sich die zur Version passenden dcus bzw. die Sourcedateien im Bibliotheks-/Suchpfad?
Markus Kinzler
  Mit Zitat antworten Zitat
floppybe

Registriert seit: 24. Dez 2008
Ort: Belp
65 Beiträge
 
Delphi XE5 Architect
 
#3

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 22. Mär 2014, 17:51
Hallo mkinzler,

Befinden sich die zur Version passenden dcus bzw. die Sourcedateien im Bibliotheks-/Suchpfad?
Ja, habe ich alles in das Sub-Dir kopiert, sollte also alles dort Drinn befinden. Ich hatte die Komponente schon mal im Einsatz,
muss ich dazu sagen. Aber ich hatte Probleme mit Delphi und hatte es in den letzten Tagen neu Installiert.

Chris
Christian Schär
  Mit Zitat antworten Zitat
Benutzerbild von himitsu
himitsu

Registriert seit: 11. Okt 2003
Ort: Elbflorenz
39.676 Beiträge
 
Delphi 11 Alexandria
 
#4

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 22. Mär 2014, 18:00
Suchpfade auch richtig gesetzt?
Garbage Collector ... Delphianer erzeugen keinen Müll, also brauchen sie auch keinen Müllsucher.
Delphi-Tage 2005-2014
  Mit Zitat antworten Zitat
floppybe

Registriert seit: 24. Dez 2008
Ort: Belp
65 Beiträge
 
Delphi XE5 Architect
 
#5

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 23. Mär 2014, 04:26
Hallo himitsu,

wo gebe ich den Suchpfad ein ? Ich weis das leider nicht.
Ich habe einfach die Koponente eingebunden.

Sorry für die Dumme Frage.

Chris
Christian Schär
  Mit Zitat antworten Zitat
Perlsau
(Gast)

n/a Beiträge
 
#6

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 23. Mär 2014, 05:03
Rad2009: Tools --> Optionen --> Bibliothek - Win32 --> Bibliothekspfad --> ...
RadXE2: Tools --> Optionen --> Bibliothek --> Bibliothekspfad --> ... (achte auf die Combobox "Ausgewählte Plattform)
  Mit Zitat antworten Zitat
hoika

Registriert seit: 5. Jul 2006
Ort: Magdeburg
8.123 Beiträge
 
Delphi 10.4 Sydney
 
#7

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 23. Mär 2014, 05:09
Hallo,

Benenne mal die dproj-Datei um
und öffne direkt die dpk.

Vielleicht stehen ja in der dproj-Datei noch alte Pfade.

Hattest du die Komponente wirklich mit deinem aktuellen Delphi (2009) benutzt ?


Heiko
Heiko

Geändert von hoika (23. Mär 2014 um 05:13 Uhr)
  Mit Zitat antworten Zitat
floppybe

Registriert seit: 24. Dez 2008
Ort: Belp
65 Beiträge
 
Delphi XE5 Architect
 
#8

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 23. Mär 2014, 05:53
Hallo hoika, Hallo Perlsau,


Zitat:
Hattest du die Komponente wirklich mit deinem aktuellen Delphi (2009) benutzt ?
Ich habe ganz vergessen dies zu ändern, es ist RAD Studio Architect XE5. Sorry, passe ich gleich an.

Zitat:
RadXE2: Tools --> Optionen --> Bibliothek --> Bibliothekspfad --> ... (achte auf die Combobox "Ausgewählte Plattform)
Ja, habe ich Gefunden, war in den Optionen der Anwendung. Fehlgeleitet.
Nun gibt’s ne andere Fehler Meldung, die Komponente ist gar nicht mehr Installiert oder so.

Delphi-Quellcode:
  -NH"C:\Users\Public\Documents\RAD Studio\12.0\hpp" -NO.\Win32\Debug Project1.dpr
[dcc32 Fehler] E1026 Datei nicht gefunden: 'Controls.res'
[dcc32 Fehler] E1026 Datei nicht gefunden: 'Buttons.res'
[dcc32 Fehler] E1026 Datei nicht gefunden: 'DBCtrls.res'
[dcc32 Fehler] E1026 Datei nicht gefunden: 'DBGrids.res'
Misslungen
Ich habe Euch mal den ScreenShot mit hoch geladen.

Chris
Miniaturansicht angehängter Grafiken
2014-03-23_064519.png  
Christian Schär

Geändert von floppybe (23. Mär 2014 um 09:11 Uhr)
  Mit Zitat antworten Zitat
floppybe

Registriert seit: 24. Dez 2008
Ort: Belp
65 Beiträge
 
Delphi XE5 Architect
 
#9

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 24. Mär 2014, 11:15
Hallo hoika, Hallo Perlsau,

nun habe ich Delphi wieder mal neu Installiert, mehrmals...
Ich habe nun auch meinen Computer neu Installiert...

Es hat alles nicht's gebracht....

Ich weis wirklich nicht was ich noch machen könnte.
Es will einfach diese Unit nicht mehr Importieren.

Es heist immer SIE sei nicht Installiert oder es
gibt einen RES Error aus.

Ich weis einfach nicht was das Problem sein kann.

Gruss

Chris
Christian Schär
  Mit Zitat antworten Zitat
Perlsau
(Gast)

n/a Beiträge
 
#10

AW: Package 'SMExportXE5' wird benötigt, konnte aber nicht gefunden werden

  Alt 24. Mär 2014, 12:02
Hast du denn schon einmal nach der Datei SMExportXE5.bpl auf deinem Computer gesucht? Wenn ja, existiert die Datei überhaupt auf deinem PC irgendwo?
  Mit Zitat antworten Zitat
Themen-Optionen Thema durchsuchen
Thema durchsuchen:

Erweiterte Suche
Ansicht

Forumregeln

Es ist dir nicht erlaubt, neue Themen zu verfassen.
Es ist dir nicht erlaubt, auf Beiträge zu antworten.
Es ist dir nicht erlaubt, Anhänge hochzuladen.
Es ist dir nicht erlaubt, deine Beiträge zu bearbeiten.

BB-Code ist an.
Smileys sind an.
[IMG] Code ist an.
HTML-Code ist aus.
Trackbacks are an
Pingbacks are an
Refbacks are aus

Gehe zu:

Impressum · AGB · Datenschutz · Nach oben
Alle Zeitangaben in WEZ +1. Es ist jetzt 11:35 Uhr.
Powered by vBulletin® Copyright ©2000 - 2022, Jelsoft Enterprises Ltd.
LinkBacks Enabled by vBSEO © 2011, Crawlability, Inc.
Delphi-PRAXiS (c) 2002 - 2021 by Daniel R. Wolf